## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLQueryExpressionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLQueryExpressionImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, XMLQueryExpression

public class XMLQueryExpressionImpl
extends SQLQueryObjectImpl
implements XMLQueryExpression

An implementation of the model object 'XML Query Expression'.

The following features are implemented:

- `Xquery Expr Content`
- `Predicate Exists`
- `Value Function Query`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetPredicateExists(XMLPredicateExists newPredicateExists, NotificationChain msgs)`
`NotificationChain` `basicSetValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`XMLPredicateExists` `getPredicateExists()`
`XMLValueFunctionQuery` `getValueFunctionQuery()`
`java.lang.String` `getXqueryExprContent()`
`void` `setPredicateExists(XMLPredicateExists newPredicateExists)`
`void` `setValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery)`
`void` `setXqueryExprContent(java.lang.String newXqueryExprContent)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getXqueryExprContent

    public java.lang.String getXqueryExprContent()

  Specified by:
    `getXqueryExprContent` in interface `XMLQueryExpression`
  Returns:
    the value of the 'Xquery Expr Content' attribute.
  See Also:
    `XMLQueryExpression.setXqueryExprContent(String)`, `SQLXMLQueryModelPackage.getXMLQueryExpression_XqueryExprContent()`

### setXqueryExprContent

    public void setXqueryExprContent(java.lang.String newXqueryExprContent)

  Specified by:
    `setXqueryExprContent` in interface `XMLQueryExpression`
  Parameters:
    `newXqueryExprContent` - the new value of the 'Xquery Expr Content' attribute.
  See Also:
    `XMLQueryExpression.getXqueryExprContent()`

### getPredicateExists

    public XMLPredicateExists getPredicateExists()

  Specified by:
    `getPredicateExists` in interface `XMLQueryExpression`
  Returns:
    the value of the 'Predicate Exists' container reference.
  See Also:
    `XMLQueryExpression.setPredicateExists(XMLPredicateExists)`, `SQLXMLQueryModelPackage.getXMLQueryExpression_PredicateExists()`, `XMLPredicateExists.getXqueryExpr()`

### basicSetPredicateExists

    public NotificationChain basicSetPredicateExists(XMLPredicateExists newPredicateExists,
                                                     NotificationChain msgs)

### setPredicateExists

    public void setPredicateExists(XMLPredicateExists newPredicateExists)

  Specified by:
    `setPredicateExists` in interface `XMLQueryExpression`
  Parameters:
    `newPredicateExists` - the new value of the 'Predicate Exists' container reference.
  See Also:
    `XMLQueryExpression.getPredicateExists()`

### getValueFunctionQuery

    public XMLValueFunctionQuery getValueFunctionQuery()

  Specified by:
    `getValueFunctionQuery` in interface `XMLQueryExpression`
  Returns:
    the value of the 'Value Function Query' container reference.
  See Also:
    `XMLQueryExpression.setValueFunctionQuery(XMLValueFunctionQuery)`, `SQLXMLQueryModelPackage.getXMLQueryExpression_ValueFunctionQuery()`, `XMLValueFunctionQuery.getXqueryExpr()`

### basicSetValueFunctionQuery

    public NotificationChain basicSetValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery,
                                                        NotificationChain msgs)

### setValueFunctionQuery

    public void setValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery)

  Specified by:
    `setValueFunctionQuery` in interface `XMLQueryExpression`
  Parameters:
    `newValueFunctionQuery` - the new value of the 'Value Function Query' container reference.
  See Also:
    `XMLQueryExpression.getValueFunctionQuery()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.